View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001022Ecere SDKcompilerpublic2013-10-04 23:582014-05-19 01:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001022: Iterators inside for loop without brackets with extra statement
Descriptionimport "ecere"

void Test()
{
   Array<Window> windows { };
   for(w : windows)
      if(w.created)
      {
         w.Update(null);
      }
}

form1.ec
   form1.ec:9:10: error: unresolved identifier w
   form1.ec:9:10: error: member operator on non-structure type expression w.Update
Additional InformationWithout the compound brackets for the if, there is no error.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001164)
jerome (administrator)
2014-02-04 22:44

Fixed by:
https://github.com/ecere/ecere-sdk/commit/64c0cbb26bacec34cb12c49a0a3166132f3151c2 [^]

- Issue History
Date Modified Username Field Change
2013-10-04 23:58 jerome New Issue
2013-10-04 23:58 jerome Status new => assigned
2013-10-04 23:58 jerome Assigned To => jerome
2014-02-04 19:08 jerome Description Updated
2014-02-04 19:08 jerome Steps to Reproduce Updated
2014-02-04 19:08 jerome Additional Information Updated
2014-02-04 22:44 jerome Status assigned => resolved
2014-02-04 22:44 jerome Fixed in Version => 0.44.10 64
2014-02-04 22:44 jerome Resolution open => fixed
2014-02-04 22:44 jerome Note Added: 0001164
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker